# Class DefaultEvaluationMethod

Object
AbstractMetadata
ModifiableMetadata
ISOMetadata
DefaultEvaluationMethod

All Implemented Interfaces:
  `Serializable`, `Emptiable`, `LenientComparable`, `IdentifiedObject`

Direct Known Subclasses:
  `AbstractDataEvaluation`, `DefaultAggregationDerivation`

@UML(identifier="DQ_EvaluationMethod", specification=UNSPECIFIED) public class DefaultEvaluationMethod extends ISOMetadata
Description of the evaluation method and procedure applied.

## Limitations

- Instances of this class are not synchronized for multi-threading. Synchronization, if needed, is caller's responsibility.
- Serialized objects of this class are not guaranteed to be compatible with future Apache SIS releases. Serialization support is appropriate for short term storage or RMI between applications running the same version of Apache SIS. For long term storage, use `XML` instead.

Since:
  1.3
See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class ModifiableMetadata

  `ModifiableMetadata​.State`

- ## Field Summary

  ### Fields inherited from class ISOMetadata

  `identifiers`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultEvaluationMethod()`
  Constructs an initially empty evaluation method.
  `DefaultEvaluationMethod(DefaultEvaluationMethod object)`
  Constructs a new instance initialized with the values from the specified metadata object.
  `DefaultEvaluationMethod(EvaluationMethodType type, CharSequence description)`
  Constructs an evaluation method initialized to the given description.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Collection<Temporal>`
  `getDates()`
  Returns the date or range of dates on which a data quality measure was applied.
  `InternationalString`
  `getEvaluationMethodDescription()`
  Returns the description of the evaluation method.
  `EvaluationMethodType`
  `getEvaluationMethodType()`
  Returns the type of method used to evaluate quality of the data.
  `Citation`
  `getEvaluationProcedure()`
  Returns the reference to the procedure information.
  `Collection<Citation>`
  `getReferenceDocuments()`
  Returns information on documents which are referenced in developing and applying a data quality evaluation method.
  `MetadataStandard`
  `getStandard()`
  Returns the metadata standard, which is ISO 19157.
  `void`
  `setDates(Collection<? extends Temporal> newValues)`
  Sets the date or range of dates on which a data quality measure was applied.
  `void`
  `setEvaluationMethodDescription(InternationalString newValue)`
  Sets the description of the evaluation method.
  `void`
  `setEvaluationMethodType(EvaluationMethodType newValue)`
  Sets the type of method used to evaluate quality of the data.
  `void`
  `setEvaluationProcedure(Citation newValue)`
  Sets the reference to the procedure information.
  `void`
  `setReferenceDocuments(Collection<? extends Citation> newValues)`
  Sets the information on documents referenced in data quality evaluation method.

  ### Methods inherited from class ISOMetadata

  `getIdentifier, getIdentifierMap, getIdentifiers, setIdentifier`

  ### Methods inherited from class ModifiableMetadata

  `checkWritePermission, collectionType, copyCollection, copyList, copyMap, copySet, deepCopy, nonNullCollection, nonNullList, nonNullMap, nonNullSet, singleton, state, writeCollection, writeList, writeMap, writeSet`

  ### Methods inherited from class AbstractMetadata

  `asMap, asTreeTable, clone, equals, equals, getInterface, hashCode, isEmpty, nilReasons, prune, toString`

  ### Methods inherited from class Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DefaultEvaluationMethod

    public DefaultEvaluationMethod()
    Constructs an initially empty evaluation method.

  - ### DefaultEvaluationMethod

    public DefaultEvaluationMethod(EvaluationMethodType type, CharSequence description)
    Constructs an evaluation method initialized to the given description.
    Parameters:
      `type` - the method type, or `null` if none.
      `name` - the method description as a `String` or an `InternationalString` object, or `null` if none.
    Since:
      1.5

  - ### DefaultEvaluationMethod

    public DefaultEvaluationMethod(DefaultEvaluationMethod object)
    Constructs a new instance initialized with the values from the specified metadata object. This is a shallow copy constructor, because the other metadata contained in the given object are not recursively copied.
    Parameters:
      `object` - the metadata to copy values from, or `null` if none.

- ## Method Details

  - ### getEvaluationMethodType

    @UML(identifier="evaluationMethodType", obligation=OPTIONAL, specification=UNSPECIFIED) public EvaluationMethodType getEvaluationMethodType()
    Returns the type of method used to evaluate quality of the data.
    Returns:
      type of method used to evaluate quality, or `null` if none.

  - ### setEvaluationMethodType

    public void setEvaluationMethodType(EvaluationMethodType newValue)
    Sets the type of method used to evaluate quality of the data.
    Parameters:
      `newValue` - the new evaluation method type.

  - ### getEvaluationMethodDescription

    @UML(identifier="evaluationMethodDescription", obligation=OPTIONAL, specification=UNSPECIFIED) public InternationalString getEvaluationMethodDescription()
    Returns the description of the evaluation method.
    Returns:
      description of the evaluation method, or `null` if none.

  - ### setEvaluationMethodDescription

    public void setEvaluationMethodDescription(InternationalString newValue)
    Sets the description of the evaluation method.
    Parameters:
      `newValue` - the new evaluation method description.

  - ### getEvaluationProcedure

    @UML(identifier="evaluationProcedure", obligation=OPTIONAL, specification=UNSPECIFIED) public Citation getEvaluationProcedure()
    Returns the reference to the procedure information.
    Returns:
      reference to the procedure information, or `null` if none.

  - ### setEvaluationProcedure

    public void setEvaluationProcedure(Citation newValue)
    Sets the reference to the procedure information.
    Parameters:
      `newValue` - the new evaluation procedure.

  - ### getReferenceDocuments

    @UML(identifier="referenceDoc", obligation=OPTIONAL, specification=UNSPECIFIED) public Collection<Citation> getReferenceDocuments()
    Returns information on documents which are referenced in developing and applying a data quality evaluation method.
    Returns:
      documents referenced in data quality evaluation method.

  - ### setReferenceDocuments

    public void setReferenceDocuments(Collection<? extends Citation> newValues)
    Sets the information on documents referenced in data quality evaluation method.
    Parameters:
      `newValues` - the new name of measures.

  - ### getDates

    @UML(identifier="dateTime", obligation=OPTIONAL, specification=UNSPECIFIED) public Collection<Temporal> getDates()
    Returns the date or range of dates on which a data quality measure was applied. The collection size is 1 for a single date, or 2 for a range. Returns an empty collection if this information is not available.
    Returns:
      date or range of dates on which a data quality measure was applied.

  - ### setDates

    public void setDates(Collection<? extends Temporal> newValues)
    Sets the date or range of dates on which a data quality measure was applied. The collection size is 1 for a single date, or 2 for a range.
    Parameters:
      `newValues` - the new dates, or `null`.

  - ### getStandard

    public MetadataStandard getStandard()
    Returns the metadata standard, which is ISO 19157.
    Overrides:
      `getStandard` in class `ISOMetadata`
    Returns:
      the metadata standard, which is ISO 19157.